Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::SearchIndexConfig Class Reference

Inherits Object.

## Public Member Functions
| SearchIndexConfig ()
| Constructor.
| SearchIndexConfig (const SearchIndexConfig &search_index_config)
| Constructor, with another search index config object. More...
| SearchIndexConfig (WString name, bool is_available, WString path, bool is_selected)
| Constructor, with parameters. More...
SearchIndexConfig & | operator= (const SearchIndexConfig &search_index_config)
| Assign operator. More...
void | Set (WString name, bool is_available, WString path, bool is_selected)
| Set values. More...

## Public Attributes
bool | is_available
| Specifies whether the serch index is available for selection and searching. true means the index is available, while false means not.
bool | is_selected
| Specifies whether the search index participates in the search. true means the index is searched as part of the query, while false means it is not searched.
WString | name
| The name of search index.
WString | path
| The path of the search index.

## Detailed Description

This class represents search index config.

## Constructor & Destructor Documentation

## ◆ SearchIndexConfig() [1/2]

foxit::SearchIndexConfig::SearchIndexConfig | ( | WString | name,
|  | bool | is_available,
|  | WString | path,
|  | bool | is_selected
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

## ◆ SearchIndexConfig() [2/2]

foxit::SearchIndexConfig::SearchIndexConfig | ( | const SearchIndexConfig & | search_index_config | ) |
| inline

Constructor, with another search index config object.

Parameters

  [in] | search_index_config | Another search index config object.

## Member Function Documentation

## ◆ operator=()

SearchIndexConfig& foxit::SearchIndexConfig::operator= | ( | const SearchIndexConfig & | search_index_config | ) |
| inline

Assign operator.

Parameters

  [in] | search_index_config | Another search index config object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::SearchIndexConfig::Set | ( | WString | name,
|  | bool | is_available,
|  | WString | path,
|  | bool | is_selected
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The name of search index.
  [in] | is_available | Specifies whether the serch index is available for selection and searching.
  [in] | path | The path of the search index.
  [in] | is_selected | Specifies whether the search index participates in the search.

Returns
  None.